# cmp202 robot simulator
#

import er2sv
import time
import math
import random

# our robot
#robot = er2sv.ER2(0, mapfile="mapSquare.txt")
robot = er2sv.ER2(0, mapfile="map2rooms.txt")
#robot = er2sv.ER2(0, mapfile="mapColors.txt")
#robot = er2sv.ER2(0, mapfile="mapMaze.txt")
robot.Start()  # gets things ready to run... 

# here is a function
def nearWall( sensors ):
    return sensors[3][4] < 10

# Our robot program
x = random.uniform(-100,100)
y = random.uniform(-100,100)
t = random.choice([0,90,180,270])
robot.SetPose( x, y, t )

robot.driveUntil( 50, nearWall )
# turn right
robot.turnFor( 30, -90 )
robot.driveUntil( 50, nearWall )

while True:
    sensors = robot.GetSensors()
    # check the left sensors
    backLeft = sensors[3][1]
    frontLeft = sensors[3][2]
    # see if both are bigger than 500
    if backLeft + frontLeft > 1000: break
    robot.turnFor( 30, -90 )
    robot.driveUntil( 50, nearWall )

robot.turnFor( 30, 90 )
robot.driveFor( 50, 100 )
print 'I\'m free!'

reply = raw_input('Hit return to quit.')
robot.Quit()
