# visClient.py

import socket

class VisualizerClient:

    def __init__(self, HOST='127.0.0.1', PORT=5008):

        self.HOST = HOST         # The ip address for this machine
        self.PORT = PORT         # The same port as used by the server

        self.maxMessageSize = 4096

        # create the network connection: TCP
        self.sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

        # connect!
        # should be some error checking here...
        self.sock.connect((HOST, PORT)) # using the parameters above

    def createParticleMessage(self, PL):
        s = 'particles'
        for p in PL:
            s += '_%.2f_%.2f_%.2f' % ( p[0], p[1], p[2] )
        return s

    def sendParticles( self, PL ):
	return self.exchMessage( self.createParticleMessage( PL ) )
    
    def exchMessage(self, msg):
        # send the user's request to the visualizer
        if len(msg) > 0:
            self.sock.send(msg)          # send 
            msg2 = self.sock.recv(self.maxMessageSize)  # receive
            return msg2             # not really used right now
    

if __name__ == '__main__':

    # when run stand-alone, this should create a connection and
    # the loop, allowing user input
    pass
