# cmp202 vacuuming problem
#

import er2sv
import time
import math
import random

# our robot
robot = er2sv.ER2(0, mapfile="mapSquare.txt")
robot.Start()  # gets things ready to run... 

# here is a function
def nearWall( sensors ):
	return min(sensors[3][3:6]) < 20

# Our robot program
x = random.uniform(-100,100)
y = random.uniform(-100,100)
t = random.choice([0,90,180,270])
robot.SetPose( x, y, t )

while True:
    robot.driveUntil( 50, nearWall )
    angle = random.randrange(0,360)
    robot.turnFor( max(40,angle), angle )

reply = raw_input('Hit return to quit.')
robot.Quit()
