# cmp202 vacuuming problem
#

import er2sv
import time
import math
import random

# our robot
robot = er2sv.ER2(0, mapfile="mapSquare.txt")
robot.Start()  # gets things ready to run... 

# here is a function
def nearWall( sensors ):
    return min(sensors[3][3:6]) < 20

# are we close (forward)?
def tooCloseToWall( robot ):
    sensors = robot.GetSensors()
    if sensors[3][4] < 30: return True
    return False

# Our robot program
x = random.uniform(-100,100)
y = random.uniform(-100,100)
t = random.choice([0,90,180,270])
robot.SetPose( x, y, t )

while True:
    # get to a corner
    robot.driveUntil( 100, nearWall )
    robot.turnFor( 60, 90 )
    robot.driveUntil( 100, nearWall )
    robot.turnFor( 60, 90 )
    
    # boustrophedon
    while True:
        robot.driveUntil( 100, nearWall )
        robot.turnFor( 60, 90 )
        if tooCloseToWall(robot): 
            robot.turnFor( 60, 90 )
    	    break
        robot.driveFor( 20, 20 )
        robot.turnFor( 60, 90 )
        robot.driveUntil( 100, nearWall )
        robot.turnFor( 60, -90 )
        if tooCloseToWall(robot): 
            robot.turnFor( 60, 180 )
    	    break
        robot.driveFor( 20, 20 )
        robot.turnFor( 60, -90 )

reply = raw_input('Hit return to quit.')
robot.Quit()
